PDA

View Full Version : GTK 2.4 and Metacity theme engines



path
18th March 2004, 02:36 PM
i've installed the new GTK 2.4 rpms:

gtk2-2.4.0-1
gtk2-devel-2.4.0-1

from fedora development. my system runs fine except that my theme engines are now broken. running gtk apps like gedit from the command line gives the following error:

(gedit:7451): Gtk-WARNING **: Unable to locate theme engine in module_path: "industrial"

any ideas?

gatep5
18th March 2004, 04:44 PM
I think that the theme engines will have to be udated by their developers to the gtk-2.4 version. Sorry, but I think it just means waiting on them. Otherwise, you might be able to rebuild from src (or src rpm). That might work, but I am not for sure. Hope you get it working!!!

Bana
19th March 2004, 06:38 AM
Unfortunately I didn't have the best of time either messing with the GTK2 stuff (trying to get Gimp 2.0 pre installed borked my system). Good luck!